using System;

namespace ConsoleApp4
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] linija = Console.ReadLine().Split();
            int n = Convert.ToInt32(linija[0]);
            int m = Convert.ToInt32(linija[1]);
            string[] sve = new string[200000];
            for (int i = 0; i < n; i++)
            {
                int a = Convert.ToInt32(Console.ReadLine());
                sve[i] = a.ToString();

            }
            
            int suma = 0;
            
            for (int i = 0; i < n; i++)
            {
                int k = 0;
                bool k2 = false, k3 = false;
                int p = 0;

                int broj = Convert.ToInt32(sve[i]);
                int broj2 = Convert.ToInt32(sve[i + 1]);
                int broj3=0;
                if (i-1>=0)
                {
                    broj3 = Convert.ToInt32(sve[i - 1]);
                }
                for (int j = 0; j < m; j++){
                    String[] elementi = Console.ReadLine().Split();
                    int x = Convert.ToInt32(elementi[0]);
                    int y = Convert.ToInt32(elementi[1]);
                    if (x == i+1 || y == i+1)
                    {
                        k++;
                    }
                    if (x==i+2||y==i+2)
                    {
                        k2 = true;
                        p++;
                    }
                   if (x==i||y==i)
                    {
                        k3 = true;
                        p++;
                    }
                }
              
                if (broj<0)
                {
                    suma += broj * (0 - k);
                }
                else if (k2==true && broj2<0)
                {
                    suma += broj * (k - p);
                    
                }
                else if (k3==true && broj3<0)
               {
                   suma += broj * (k - p);
               }
                else
                {
                    suma += broj * k;
                }
            }
            Console.WriteLine(suma.ToString());
        }
    }
}